Runtime

## org.eclipse.gmf.runtime.common.ui.services.dnd.drop
Interface IDropTargetEvent

All Known Implementing Classes:
  DropTargetEvent

public interface IDropTargetEvent

Interface that contains the information relevant to the drop target event.

Method Summary
`TransferData` `getCurrentDataType()` The type of data that will be dropped.
`int` `getCurrentOperation()` The operation being performed.
`TransferData[]` `getDataTypes()` A list of the types of data that the DragSource is capable of providing.
`int` `getOperations()` A bitwise OR'ing of the operations that the DragSource can support (e.g.

Method Detail

### getCurrentOperation

    public int getCurrentOperation()

  The operation being performed.

  Returns:
    int constant of operation being performed
  See Also:
    `DND.DROP_NONE`, `DND.DROP_MOVE`, `DND.DROP_COPY`, `DND.DROP_LINK`

### getOperations

    public int getOperations()

  A bitwise OR'ing of the operations that the DragSource can support (e.g. DND.DROP_MOVE | DND.DROP_COPY | DND.DROP_LINK). The detail value must be a member of this list or DND.DROP_NONE.

  Returns:
    int of bitwise or of supported operations
  See Also:
    `DND.DROP_NONE`, `DND.DROP_MOVE`, `DND.DROP_COPY`, `DND.DROP_LINK`

### getDataTypes

    public TransferData[] getDataTypes()

  A list of the types of data that the DragSource is capable of providing. The currentDataType must be a member of this list.

  Returns:
    TransferData[] array of the types of data that the DragSource is capable of providing.

### getCurrentDataType

    public TransferData getCurrentDataType()

  The type of data that will be dropped.

  Returns:
    TransferData representation of the data that will be dropped

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.